# $Revision: 1.104 $, $Date: 2012/02/19 10:19:52 $
# TODO
# - bug: when logrotate.status is written truncated (due disk getting full) and
#   the line is partial, it will complain erronously that the line is too long
#   while it just doesn't have the second DATE column. and that error should be
#   ignored as warning not fatal as error.
#
# Conditional build:
%bcond_without	acl		# build without ACLs support
%bcond_without	selinux		# build without SELinux support
#
Summary:	Rotates, compresses, removes and mails system log files
Summary(de.UTF-8):	Rotiert, komprimiert und verschickt Systemlogs
Summary(es.UTF-8):	Hace el rutado, comprime y envía mail de logs del sistema
Summary(fr.UTF-8):	Fait tourner, compresse, et envoie par mail les connexions au système
Summary(pl.UTF-8):	System rotacji i kompresowania logów
Summary(pt_BR.UTF-8):	Rotaciona, comprime e envia mail de logs do sistema
Summary(ru.UTF-8):	Ротирует, компрессирует, удаляет и отправляет по почте лог-файлы
Summary(tr.UTF-8):	Sistem günlüklerini yönlendirir, sıkıştırır ve mektup olarak yollar
Summary(uk.UTF-8):	Ротує, компресує, видаляє та відправляє поштою лог-файли
Name:		logrotate
Version:	3.8.1
Release:	3
License:	GPL v2
Group:		Applications/System
Source0:	https://fedorahosted.org/releases/l/o/logrotate/%{name}-%{version}.tar.gz
# Source0-md5:	bd2e20d8dc644291b08f9215397d28a5
Source1:	%{name}.conf
Source2:	%{name}.sysconfig
Patch0:		%{name}-cron.patch
Patch1:		%{name}-man.patch
URL:		https://fedorahosted.org/logrotate/
%{?with_acl:BuildRequires:	acl-devel}
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRequires:	popt-devel >= 1.3
Requires:	coreutils
Requires:	crondaemon
Requires:	filesystem >= 4.0-4
Requires:	gzip
Requires:	setup >= 2.4.6
Suggests:	/bin/mail
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		statdir		/var/lib/misc

%description
The logrotate utility is designed to simplify the administration of
log files on a system which generates a lot of log files. Logrotate
allows for the automatic rotation compression, removal and mailing of
log files. Logrotate can be set to handle a log file daily, weekly,
monthly or when the log file gets to a certain size. Normally,
logrotate runs as a daily cron job.

%description -l de.UTF-8
Logrotate vereinfacht die Verwaltung von Systemen, die sehr viele
Log-Dateien erzeugen, indem es das automatische Rotieren,
Komprimieren, Entfernen, und Senden von Log-Dateien ermöglicht. Jede
Log-Datei kann täglich, wöchentlich oder monatlich verarbeitet werden,
wenn sie zu groß wird.

%description -l es.UTF-8
Logrotate fue proyectado para facilitar la administración de sistemas
que generan gran número de archivos de log. Permite automatización en
la rotación, compresión, remoción y envío de mail de archivos de logs.
Cada archivo de log puede ser tratado diariamente, semanalmente,
mensualmente o cuanto crezca demasiado.

%description -l fr.UTF-8
Logrotate est conçu pour faciliter l'administration de systèmes qui
générent un grand nombre de fichiers de \"log\". Il permet le
roulement, la suppréssion la compression et l'envoi automatiques de
ces fichiers. Chaque fichier de \"log\" peut être pris en charge de
manière quotidienne, hebdomadaire, mensuelle, ou quand il devient trop
volumineux.

%description -l pl.UTF-8
Logrotate jest przeznaczony do łatwej administracji plikami logów.
Program ten pozwala na automatyczną kompresję logów. Może kontrolować
logi raz dziennie, raz na miesiąc, raz na tydzień lub wtedy kiedy
pliki z logami systemowymi są już duże.

%description -l pt_BR.UTF-8
Logrotate foi projetado para facilitar a administração de sistemas que
geram grande número de arquivos de log. Permite automatização na
rotação, compressão, remoção e envio de mail de arquivos de logs. Cada
arquivo de log pode ser tratado diariamente, semanalmente, mensalmente
ou quanto crescer demais.

%description -l ru.UTF-8
Logrotate предназначен для облегчения администрирования системы,
которая генерирует большое количество файлов с логами. Он позволяет
автоматически ротировать, компрессировать, удалять и посылать файлы с
логами по e-mail. Каждый лог может обрабатываться ежедневно,
еженедельно, ежемесячно или по достижении определенного размера.

%description -l tr.UTF-8
logrotate çok fazla sayıda günlük dosyası üreten sistemlerin
yönetimini kolaylaştırmak için tasarlanmıştır. Kayıt dosyalarının
otomatik olarak yönlendirilmesini, sıkıştırılmasını, silinmesinı ve
mektup olarak yollanmasını sağlar. Her dosya günlük, haftalık, aylık
olarak ya da çok büyük boyutlara ulaştığında işlenebilir.

%description -l uk.UTF-8
Logrotate призначений для полегшення адміністрування системи, яка
генерує велику кількість файлів з логами. Він дозволяє автоматично
ротувати, компресувати, видаляти та посилати поштою лог-файли. Кожен
лог може оброблятися щоденно, щотижня, щомісяця або по досягненні
визначеного розміру.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcflags}" \
	WITH_ACL=%{?with_acl:yes}%{!?with_acl:no} \
	WITH_SELINUX=%{?with_selinux:yes}%{!?with_selinux:no} \
	STATEFILE="%{statdir}/logrotate.status"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{cron.daily,logrotate.d,sysconfig} \
	$RPM_BUILD_ROOT{%{_mandir},%{statdir}}

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.conf
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/logrotate
install -p examples/logrotate.cron $RPM_BUILD_ROOT/etc/cron.daily/logrotate
> $RPM_BUILD_ROOT%{statdir}/logrotate.status

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 3.7.8-4
%{__sed} -i -e 's,olddir /var/log/archiv$,olddir /var/log/archive,' %{_sysconfdir}/logrotate.conf %{_sysconfdir}/logrotate.d/* || :

%post
if [ -f /var/lib/logrotate.status ]; then
	mv -f /var/lib/logrotate.status %{statdir}/logrotate.status
else
	touch %{statdir}/logrotate.status
	chmod 000 %{statdir}/logrotate.status
	chown root:root %{statdir}/logrotate.status
	chmod 640 %{statdir}/logrotate.status
fi

%files
%defattr(644,root,root,755)
%doc CHANGES
%attr(755,root,root) %{_sbindir}/logrotate
%attr(750,root,root) /etc/cron.daily/logrotate
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(640,root,root) %ghost %{statdir}/logrotate.status
%{_mandir}/man5/logrotate.conf.5*
%{_mandir}/man8/logrotate.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: logrotate.spec,v $
Revision 1.104  2012/02/19 10:19:52  baggins
- rel 3
- do not redirect logrotate errors to /dev/null

Revision 1.103  2012/02/05 09:52:48  baggins
- rel 2
- require filesystem with accessible /var/log/archive

Revision 1.102  2011/09/04 20:03:21  kiesiu
- updated to 3.8.1

Revision 1.101  2011/06/25 05:39:58  qboosh
- enabled acl support (with bcond)
- added more CVE notes to previous commit log

Revision 1.100  2011/06/24 21:00:09  marti
- up to 3.8.0
- resolves CVE-2011-1098 (Race condition in the createOutputFile function)
  [and: CVE-2011-1154, CVE-2011-1155]

Revision 1.99  2010/07/12 07:45:53  glen
- up to 3.7.9

Revision 1.98  2010/04/20 13:54:18  glen
- move /var/log/archive to filesystem, rel 8
- (pretrans for archiv rename dropped from here, move it to filesystem as well or just forget it?)

Revision 1.97  2010/02/02 08:06:27  glen
- release 7

Revision 1.96  2010/01/07 10:13:27  glen
- like crond, do not require mail sending tool, works ok without any MTA (+1 from hawk); rel 6

Revision 1.95  2009/11/30 11:31:50  glen
- release 5

Revision 1.94  2009/11/06 11:15:22  glen
- so do the subst too finally; rel 4

Revision 1.93  2009/10/08 12:54:10  baggins
- rel 3
- kill /var/log/archiv symlink, it's been 4 (FOUR) years since the change

Revision 1.92  2009/03/19 15:43:58  glen
- /etc/logrotate.d moved to filesystem (logrotate is not requirement for functional system)

Revision 1.91  2009/02/03 06:47:05  qboosh
- man patch is back (only small part was obsolete)

Revision 1.90  2009/01/28 14:58:05  arekm
- up to 3.7.8

Revision 1.89  2008/10/27 23:21:19  gotar
- check if /var/log/archive is symlink (could have been made by hand earlier);
  if so, rename it and proceed as there was no archive directory at all

Revision 1.88  2008/09/26 10:52:42  pluto
- s/R(post):fileutils/R:coreutils/ for pretrans scriptlet (install/ln usage).
- release 2.

Revision 1.87  2008/08/19 18:25:46  qboosh
- updated to 3.7.7
- removed obsolete selinux patch
- added URLs

Revision 1.86  2008/04/14 11:29:43  glen
- release 4

Revision 1.85  2008-04-14 10:36:50  glen
- update selinux from fc8

Revision 1.84  2008-01-09 21:50:09  wolvverine
- add patch for cron script

Revision 1.83  2007-12-24 12:40:23  blues
- temporary link removed

Revision 1.82  2007-12-24 12:31:49  blues
- md5 fixed

Revision 1.81  2007-12-24 12:30:06  blues
- 3.7.6

Revision 1.80  2007/09/05 14:57:47  baggins
- rel 7

Revision 1.79  2007/04/09 19:36:42  glen
- pretrans is a proper place for replacing dirs/symlinks

Revision 1.78  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.77  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.76  2006/10/26 23:52:58  glen
- rel 6

Revision 1.75  2006/10/17 09:25:46  jajcus
- patch to fix 'size' directive, which was treated as 'minsize'

Revision 1.74  2006/09/13 09:32:38  glen
- rel 5

Revision 1.73  2006/09/13 09:31:57  glen
- FC-dev replaced tarball(!), apply also their selinux patch; rel 4

Revision 1.72  2006/09/13 09:23:03  glen
- rel 1

Revision 1.71  2006/05/29 19:51:21  glen
- drop non-cvs changelog (confusing with cvslog truncation patch)

Revision 1.70  2006/05/29 19:39:25  glen
- R gzip, as default config specifies it, and missing compressprog silently discards original logs!

Revision 1.69  2006/05/29 19:34:04  glen
- updated to 3.7.4; suse patches applied

Revision 1.68  2005/12/28 13:33:32  hawk
- s/httpd.conf/archiv/

Revision 1.67  2005/12/28 13:14:07  glen
- kill /var/log/archiv kloczkish by renaming it to /var/log/archive; rel 4

Revision 1.66  2005/12/04 22:58:06  glen
- adapterized (sorted %verify flags)

Revision 1.65  2005/07/08 19:39:45  darekr
- description for bcond, proper License

Revision 1.64  2005/01/14 19:54:25  qboosh
- nobody complaints? so patches were tested, I assume

Revision 1.63  2004/10/29 10:42:52  jajcus
- grant 'logs' group read access to the log archive

Revision 1.62  2004/05/11 11:45:55  baggins
- release 2
- fixed executing scripts from /tmp
  (use /bin/sh -c command as /tmp can be mounted noexec)
- I don't care for TODO, you had two months to do it

Revision 1.61  2004/04/15 19:48:37  agaran
- added bcond without selinux

Revision 1.60  2004/02/29 16:24:17  qboosh
- removed no longer used moveout patch, try to update dateext,maxage patches

Revision 1.59  2004/02/25 11:21:52  qboosh
- updated to new Fedora tarball (with the same name :/) with updated
  is_selinux_enabled() calls; release 1.2

Revision 1.58  2004/01/09 14:52:20  qboosh
- attr is not needed (pass LOADLIBES)
- added TODO, release 1.1 (functionality loss since 3.6.x)

Revision 1.57  2004/01/08 18:39:44  kosmo
- added BR: attr-devel (thx. Pawel Sikora)

Revision 1.56  2003/12/26 18:53:37  arekm
- updated to 3.7, patches temporary commented out (part of them are already merged). enabled selinux support

Revision 1.55  2003/11/01 16:04:10  arekm
- rel3

Revision 1.54  2003/11/01 16:01:40  arekm
- dateext (allows to use YYYYMMDD extension instead of just number)
- maxage (remove log files older than XXX days)
- better way for remove/compress/mail log files

Revision 1.53  2003/09/18 00:59:40  domelu
- small fix in %files

Revision 1.52  2003/09/10 14:54:43  mick3y
- requires crondaemon (domelu)

Revision 1.51  2003/08/30 21:40:58  mmazur
- rel 2 for ac

Revision 1.50  2003/08/27 11:15:34  arekm
- updated to 3.6.10

Revision 1.49  2003/08/04 11:35:58  qboosh
- use SUSv2-compliant chown syntax (user:group) instead of deprecated

Revision 1.48  2003/07/27 19:47:07  blues
- cosmetics

Revision 1.47  2003/07/23 17:12:35  gotar
- one more fix to man page (logrotate-man.patch),
- release 5.

Revision 1.46  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.45  2003/05/25 05:50:16  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.44  2002/10/17 14:38:34  ankry
- fixed patch

Revision 1.43  2002/10/15 18:45:49  kloczek
- release 4,
- fixed http://bugs.pld.org.pl/index.php?bug=380: change logrotate status file
  name to /var/lib/misc/logrotate.status.

Revision 1.42  2002/07/02 07:44:26  kloczek
- updated to 3.6.5 (bug fix release),
- use new %doc,
- merge translations from KSI.

Revision 1.41  2002/07/01 10:18:35  ankry
- fixed some typos in man page
- release 6, STBR

Revision 1.40  2002/04/18 10:26:47  qboosh
- moved logrotate.status to /var/lib/misc (FHS 2.2 compliant)
- release 5

Revision 1.39  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.38  2002/01/18 02:13:45  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.37  2001/12/23 00:28:21  blues
- release 4: bugfix - s/mail root/nomail/ in default config
- STBR

Revision 1.36  2001/12/22 00:26:47  kloczek
- release 3: fixed default logrotate.conf(blues): s/errors/mail/

Revision 1.35  2001/12/19 04:44:12  kloczek
- updated to 3.6 (bug fix release).

Revision 1.34  2001/12/18 20:17:32  gotar
- release 4.

Revision 1.33  2001/12/13 03:07:08  gotar
- touch, chown and chmod on /var/lib/logrotate.status in %post,
- added Requires(post): fileutils.

Revision 1.32  2001/12/11 00:23:39  blues
- added config(noreplace) to /etc/cron.daily/logrotate

Revision 1.31  2001/11/30 20:35:35  gotar
- fixed broken logs.

Revision 1.30  2001/11/30 20:23:11  gotar
- added /var/lib/logrotate.status log,
- release 3.

Revision 1.29  2001/06/16 16:26:10  kloczek
- updated to 3.5.5.

Revision 1.28  2001/05/03 15:25:42  qboosh
- better Summary(pl)

Revision 1.27  2001/04/30 16:05:21  kloczek
- added using %{rpmcflags} macro.

Revision 1.26  2001/02/07 20:28:30  kloczek
- updated to 3.5.4 - this is important upgrade because contains fix for tmp
  race condition.

Revision 1.25  2001/02/07 16:44:29  baggins
- release 3
- nodelaycompress in logrotate.conf

Revision 1.24  2001/01/25 20:03:24  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.23  2000/12/23 00:48:45  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.22  2000/10/20 03:21:50  kloczek
- updated to 3.5.2,
- use new rpm automation.

Revision 1.21  2000/08/09 15:34:30  kloczek
- updated to 3.4 (release 3).

Revision 1.20  2000/08/09 10:36:44  zagrodzki
- release 3
- adapterized

Revision 1.19  2000/08/09 10:35:26  zagrodzki
- requires: /bin/mail

Revision 1.18  2000/06/09 07:23:25  kloczek
- added using %{__make} macro.

Revision 1.17  2000/05/27 18:45:34  kloczek
- updated to 3.3.2,
- in system config file for logrotate "include" moved to the end so all
  directives should work now they seem to be ignored after logrotate.d was
  processed (jajcus),
- spec adapterized.

Revision 1.16  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.15  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.13  1999/11/26 21:04:23  kloczek
- updated to 3.3 (revision 2 - in rawhide is 1),
- added default config file for logrotate. Diffrences between RH config:
  - added to create "640 root root" parameters,
  - added delaycompress
  - enabled compressing logs,
  - added notifempty,
  - added default archiv directory (/var/log/archiv),
  - added missingok,
- added to package /var/log/archiv directory.

Revision 1.12  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.11  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).
